[Linux] PA says "New Build Avaliable" even though I am supposedly up to date

Discussion in 'Mac and Linux' started by fredegar1, October 6, 2015.

  1. fredegar1

    fredegar1 Member

    Messages:
    55
    Likes Received:
    65
    Whenever I launch PA, it tells me I need the latest build to play even after I updated to build 88288.

    [​IMG]

    This only started happening after I updated to 88288 with the Python papatcher script. I looked at the logs in a shell and as you can see the actual build number is 86765.
    Code:
    [19:14:32.019] INFO Started at 2015-10-05 19:14:32
    [19:14:32.019] INFO Setting STEAM_RUNTIME to /opt/Planetary Annihilation/PA/steam-runtime
    [19:14:32.019] INFO SDL: Built w/ v2.0.3, linked w/ v2.0.3
    [19:14:32.019] INFO build version 86765, id 2015082686765
    [19:14:32.020] INFO Log file /home/[username]/.local/Uber Entertainment/Planetary Annihilation/log/PA-2015-10-05_191432.txt opened
    [19:14:32.020] INFO Starting async parallel for driver with 6 threads
    [19:14:32.110] INFO Successfully created context with configuration 1/8: v4.4 (core)
    [19:14:32.110] INFO HAL initializing...
    [19:14:32.110] INFO OpenGL Vendor: NVIDIA Corporation
    [19:14:32.110] INFO OpenGL Renderer: GeForce GT 750M/PCIe/SSE2
    [19:14:32.110] INFO OpenGL Version: 4.4.0 NVIDIA 352.41
    [19:14:32.110] INFO OpenGL Shader Language Version: 4.40 NVIDIA via Cg compiler
    [19:14:32.111] INFO Vendor flag set to NVidia
    [19:14:32.111] INFO Supported rasterizer capabilities: Gamma correct pipeline, Ranged mapping, Advanced instancing, Advanced shaders, Compute shaders
    [19:14:32.111] INFO Unsupported rasterizer capabilities: Persistent buffer mapping
    [19:14:32.111] INFO Buffer textures enabled.
    [19:14:32.111] INFO initial size 1600x900
    [19:14:32.114] INFO Loading effects from file /shaders/post.json
    [19:14:32.139] INFO Loading effects from file /shaders/content.json
    [19:14:32.255] INFO Loading effects from file /shaders/impostors.json
    [19:14:32.256] INFO Loading effects from file /shaders/misc.json
    [19:14:32.260] INFO Loading effects from file /shaders/particle.json
    [19:14:32.322] INFO Loading effects from file /shaders/scene.json
    [19:14:32.330] INFO Loading effects from file /shaders/vtex.json
    [19:14:32.340] INFO Coherent content root: "coui://ui/"
    [19:14:32.340] INFO Coherent host dir: "/opt/Planetary Annihilation/PA/host"
    [19:14:32.340] INFO Coherent local store: "/home/[username]/.local/Uber Entertainment/Planetary Annihilation/localstore"
    [19:14:32.340] INFO Coherent crash dumps: "/home/[username]/.local/Uber Entertainment/Planetary Annihilation/log"
    [19:14:32.340] INFO [COUI] Additional host options detected. Please note that these options are experimental, untested and not officially supported, they might cause unexpected behaviour.
    [19:14:32.340] INFO [COUI] AdditionalHostOptions {--resource-buffer-max-allocation-size=134217728 --resource-buffer-size=2097152}
    [19:14:32.343] INFO ClientInterface constructed
    
    (CoherentUI_Host:17542): Gtk-WARNING **: Unable to locate theme engine in module_path: "adwaita",
    
    (CoherentUI_Host:17542): Gtk-WARNING **: Unable to locate theme engine in module_path: "adwaita",
    /usr/share/themes/Adwaita/gtk-2.0/gtkrc:1163: error: unexpected identifier `direction', expected character `}'
    Gtk-Message: Failed to load module "pk-gtk-module"
    [17544:17544:ERROR:nss_util.cc(686)] Failed to load NSS libraries.
    [19:14:32.878] INFO {{FMOD}} fmod buffer size 5
    [19:14:32.892] INFO Using local server at /opt/Planetary Annihilation/PA/server
    [19:14:32.893] INFO [COUI] PID: 17542 | 17557 23:14:32.473632 [17542:17557:WARNING:proxy_service.cc(888)] PAC support disabled because there is no system implementation
    [19:14:32.910] INFO ContextReady
    [17570:17570:INFO:renderer_main.cc(215)] Running without renderer sandbox
    [17574:17574:INFO:renderer_main.cc(215)] Running without renderer sandbox
    [17576:17576:INFO:renderer_main.cc(215)] Running without renderer sandbox
    Fontconfig error: "/etc/fonts/conf.d/10-scale-bitmap-fonts.conf", line 72: non-double matrix element
    Fontconfig error: "/etc/fonts/conf.d/10-scale-bitmap-fonts.conf", line 72: non-double matrix element
    Fontconfig warning: "/etc/fonts/conf.d/10-scale-bitmap-fonts.conf", line 80: saw unknown, expected number
    [19:14:32.934] INFO Caching boot.js & boot.css
    Fontconfig warning: "/etc/fonts/conf.d/65-0-lohit-bengali.conf", line 32: unknown element "langset"
    Fontconfig warning: "/etc/fonts/conf.d/69-gnu-free-sans.conf", line 24: unknown element "langset"
    Fontconfig warning: "/etc/fonts/conf.d/69-gnu-free-serif.conf", line 24: unknown element "langset"
    [19:14:32.943] ERROR appendFile Unable to find path: /ui/mods/ui_mod_list.js
    [19:14:33.140] INFO [COUI] PID: 17542 | 17542 23:14:33.137015 [17542:17542:ERROR:render_widget_host_view_gtk_coherent.cc(289)] Unable to get backing store!
    [19:14:33.157] ERROR [JS/main] :1: Uncaught TypeError: Object #<Object> has no method '_trigger'
    [19:14:33.186] INFO [COUI] PID: 17542 | 17542 23:14:33.180243 [17542:17542:ERROR:render_widget_host_view_gtk_coherent.cc(289)] Unable to get backing store!
    [17611:17611:INFO:renderer_main.cc(215)] Running without renderer sandbox
    [17614:17614:INFO:renderer_main.cc(215)] Running without renderer sandbox
    [19:14:33.993] INFO resetGameStateInternal
    [19:14:33.993] INFO Mouse constraint cleared.
    [19:14:33.994] INFO ClientInterface constructed
    [19:14:34.012] INFO ClientInterface constructed
    [19:14:34.676] INFO Setting option graphics to 'custom'
    [19:14:34.676] INFO Setting option graphics.vte to 'medium'
    [19:14:34.676] INFO Setting option graphics.headlights to 'off'
    [19:14:34.676] INFO Setting option graphics.shadows to 'low'
    [19:14:34.676] INFO Setting option graphics.ao to 'off'
    [19:14:34.676] INFO Setting option graphics.hdr to 'off'
    [19:14:34.676] INFO Setting option graphics.aa to 'off'
    [19:14:34.676] INFO Setting option graphics.display_mode to 'fullscreen'
    [19:14:34.676] INFO Setting camera mouse pan speed to 1x
    [19:14:34.676] INFO Setting camera key pan speed to 1x
    [19:14:34.676] INFO Setting camera zoom speed to 4x
    [19:14:34.676] INFO Setting camera friction to 2.5x
    [19:14:34.676] INFO Setting camera edge scroll to on
    [19:14:34.676] INFO Setting planet pole lock to off
    [19:14:34.713] INFO setMusic /Music/Main_Menu_Music_return_from_game
    [19:14:45.794] INFO [COUI] Assert failure: This view doesn't support binding yet ViewImpl Id 0
    [19:14:45.794] INFO [COUI] Assert failure: This view doesn't support binding yet ViewImpl Id 0
    [19:14:45.794] INFO [COUI] Assert failure: This view doesn't support binding yet ViewImpl Id 0
    [19:14:45.796] INFO [COUI] Assert failure: This view doesn't support binding yet ViewImpl Id 3
    [19:14:45.796] INFO [COUI] Assert failure: This view doesn't support binding yet ViewImpl Id 3
    [19:14:45.796] INFO [COUI] Assert failure: This view doesn't support binding yet ViewImpl Id 3
    [19:14:45.796] INFO [COUI] Assert failure: This view doesn't support binding yet ViewImpl Id 4
    [19:14:45.797] INFO [COUI] Assert failure: This view doesn't support binding yet ViewImpl Id 4
    [19:14:45.797] INFO [COUI] Assert failure: This view doesn't support binding yet ViewImpl Id 4
    [19:14:45.797] INFO Shutting down CoherentUI
    
    Is there a file I can edit to manually change the build number, or do I need to redownload PA?
  2. DeathByDenim

    DeathByDenim Post Master General

    Messages:
    4,326
    Likes Received:
    2,118
    Yeah, that's not right. It should definitely say
    Code:
    [19:32:20.677] INFO build version 88288, id 2015092388288
    , which is what I have. You can try running the Python script again to see if it will spit out any errors. Judging from you install path, you need to run the script as root, right? Also, doesn't the Python script by default install into ~/.local/...something...? Or did you adapt the script to install elsewhere?

    Alternatively, you can try my launcher here: https://forums.uberent.com/threads/alternative-pa-launcher.68233/
    If you point it to /opt/Planetary Annihilation/PA it should check the files that are already there and update those (provided is has write access of course).

Share This Page